<ion-header>
  <ion-toolbar class="my-header">
    <ion-buttons slot="start">
      <ion-menu-toggle>
        <ion-icon class="ic-menu" name="menu"></ion-icon>
      </ion-menu-toggle>
    </ion-buttons>
    <ion-title>{{user?.libraryName}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="container">
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-card class="card-1 ion-text-start">
            <h2>SALDO</h2>
            <h3>{{globalService.formatRupiah(content?.saldo)}}</h3>
          </ion-card>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-card class="card-3 ion-text-start">
            <h2>PEMINJAMAN</h2>
            <h3>{{content?.loanTotal ? content?.loanTotal : 0}}</h3>
          </ion-card>
        </ion-col>
        <ion-col>
          <ion-card class="card-4 ion-text-start">
            <h2>JATUH TEMPO</h2>
            <h3>{{content?.overdueTotal ? content?.overdueTotal : 0}}</h3>
          </ion-card>
        </ion-col>
      </ion-row>

      <!-- TESTING -->

    </ion-grid>
  </div>

  <!-- SEGMENT -->
  <ion-segment [(ngModel)]="segment" mode="md" class="segment">

    <ion-segment-button value="today">
      <ion-label>Hari Ini</ion-label>
    </ion-segment-button>
    <ion-segment-button value="week">
      <ion-label>Minggu Ini</ion-label>
    </ion-segment-button>

  </ion-segment>

  <div [ngSwitch]="segment">
    <div *ngSwitchCase="'today'">
      <ion-list>
        <ion-item>
          <ion-label>Total Saldo</ion-label>
          <ion-chip slot="end">
            <ion-label>{{globalService.formatRupiah(content?.today?.saldo)}}</ion-label>
          </ion-chip>
        </ion-item>
        <ion-item>
          <ion-label>Total Buku</ion-label>
          <ion-chip slot="end">
            <ion-label>{{content?.today?.bookTotal ? content?.today?.bookTotal : 0}}</ion-label>
          </ion-chip>
        </ion-item>
        <ion-item>
          <ion-label>Total Peminjaman</ion-label>
          <ion-chip slot="end">
            <ion-label>{{content?.today?.loanTotal ? content?.today?.loanTotal : 0}}</ion-label>
          </ion-chip>
        </ion-item>
      </ion-list>
    </div>
    <div *ngSwitchCase="'week'">
      <ion-list>
        <ion-item>
          <ion-label>Total Saldo</ion-label>
          <ion-chip slot="end">
            <ion-label>{{globalService.formatRupiah(content?.thisWeek?.saldo)}}</ion-label>
          </ion-chip>
        </ion-item>
        <ion-item>
          <ion-label>Total Buku</ion-label>
          <ion-chip slot="end">
            <ion-label>{{content?.thisWeek?.bookTotal ? content?.thisWeek?.bookTotal : 0}}</ion-label>
          </ion-chip>
        </ion-item>
        <ion-item>
          <ion-label>Total Peminjaman</ion-label>
          <ion-chip slot="end">
            <ion-label>{{content?.thisWeek?.loanTotal ? content?.thisWeek?.loanTotal : 0}}</ion-label>
          </ion-chip>
        </ion-item>
      </ion-list>
    </div>
  </div>

</ion-content>

<!-- test -->